egcs_update: Test return values of 'cvs update'.
authorRobert Lipe <robertlipe@usa.net>
Thu, 4 Feb 1999 08:07:51 +0000 (08:07 +0000)
committerRobert Lipe <robertl@gcc.gnu.org>
Thu, 4 Feb 1999 08:07:51 +0000 (08:07 +0000)
       * egcs_update: Test return values of 'cvs update'.  Propogate
       to caller as exit values.

From-SVN: r25021

contrib/ChangeLog
contrib/egcs_update

index e5decf4..63d2130 100644 (file)
@@ -1,3 +1,8 @@
+1999-02-04  Robert Lipe  <robertlipe@usa.net>
+
+       * egcs_update: Test return values of 'cvs update'.  Propogate 
+       to caller as exit values.     
+
 1999-01-25  Gerald Pfeifer  <pfeifer@dbai.tuwien.ac.at>
 
        * egcs_update: Use "if" instead of "&&".  Touch generated files
index 7a0f69e..6882b23 100755 (executable)
@@ -58,10 +58,18 @@ do
     fi
 done`
 cvs -q update $X
+if [ $? -ne 0 ]; then 
+    echo "CVS update of generated files failed." >&2
+    exit 1
+fi
 
 
 echo "Pass 2: Updating full tree"
 cvs -q update ${1+"$@"}
+if [ $? -ne 0 ]; then 
+    echo "CVS update of full tree failed." >&2
+    exit 1
+fi
 
 echo "Pass 3: Fixing local tree"
 # Please also update the FAQ accordingly if you change the list of